import { 
	ref, 
} from 'vue'
import { defineStore } from 'pinia'

export const useStore = defineStore('counter', () => {
	const deliveryStatus = ref({// 交付助手 状态区状态码
		content:"",
	});
	const deliveryKeyword = ref({// 交付助手 列表区关键词
		content:"",
	});
  const deliveryOrderList = ref({// 交付助手 列表区筛选
		content:"",
	});
	const deliveryUserid = ref({// 交付助手 列表区 选中的用户ID
		content:"",
	});
	const deliveryOrderid = ref({// 交付助手 列表区 选中的ID，即工单ID
		content:"",
	});
	const deliveryIsUpdate = ref({// 交付助手 是否更新:待处理提交时触发
		content:false,
	});
	const deliverySSE = ref({// 交付助手 是否更新:sse触发
		content:false,
	});
	const deliveryUserinfo = ref({// 交付助手 当前选中工单用户的信息
		data:{}
	})
  const deliveryTodayAdd = ref({// 交付助手 今日新增简历
		data:{}
	})
	
	
	const layoutData = ref({
		isToggle:false,
	})

	return {
    deliveryOrderList,
		deliveryStatus,
		deliveryKeyword,
		deliveryUserid,
		deliveryOrderid,
		deliveryIsUpdate,
		deliverySSE,
		deliveryUserinfo,
    deliveryTodayAdd,
		layoutData
	}
})